## org.apache.batik.swing.gvt
Class TextSelectionManager.MouseListener

    java.lang.Object
      org.apache.batik.swing.gvt.TextSelectionManager.MouseListener

All Implemented Interfaces:
  java.util.EventListener, GraphicsNodeMouseListener

Enclosing class:
  TextSelectionManager

protected class TextSelectionManager.MouseListener
extends java.lang.Object
implements GraphicsNodeMouseListener

To implement a GraphicsNodeMouseListener.

Constructor Summary
`protected` `TextSelectionManager.MouseListener()`

Method Summary
`void` `mouseClicked(GraphicsNodeMouseEvent evt)` Invoked when the mouse has been clicked on a graphics node.
`void` `mouseDragged(GraphicsNodeMouseEvent evt)` Invoked when a mouse button is pressed on a graphics node and then dragged.
`void` `mouseEntered(GraphicsNodeMouseEvent evt)` Invoked when the mouse enters a graphics node.
`void` `mouseExited(GraphicsNodeMouseEvent evt)` Invoked when the mouse exits a graphics node.
`void` `mouseMoved(GraphicsNodeMouseEvent evt)` Invoked when the mouse button has been moved on a node.
`void` `mousePressed(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been pressed on a graphics node.
`void` `mouseReleased(GraphicsNodeMouseEvent evt)` Invoked when a mouse button has been released on a graphics node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextSelectionManager.MouseListener

    protected TextSelectionManager.MouseListener()

Method Detail

### mouseClicked

    public void mouseClicked(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse has been clicked on a graphics node.

  Specified by:
    `mouseClicked` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mousePressed

    public void mousePressed(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button has been pressed on a graphics node.

  Specified by:
    `mousePressed` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseReleased

    public void mouseReleased(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button has been released on a graphics node.

  Specified by:
    `mouseReleased` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseEntered

    public void mouseEntered(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse enters a graphics node.

  Specified by:
    `mouseEntered` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseExited

    public void mouseExited(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse exits a graphics node.

  Specified by:
    `mouseExited` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseDragged

    public void mouseDragged(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when a mouse button is pressed on a graphics node and then dragged.

  Specified by:
    `mouseDragged` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

### mouseMoved

    public void mouseMoved(GraphicsNodeMouseEvent evt)

  Description copied from interface: `GraphicsNodeMouseListener`
  Invoked when the mouse button has been moved on a node.

  Specified by:
    `mouseMoved` in interface `GraphicsNodeMouseListener`
  Parameters:
    `evt` - the graphics node mouse event

Copyright © 2004 Apache Software Foundation. All Rights Reserved.